## org.apache.catalina.cluster.util
Interface IQueue

All Known Implementing Classes:
  FastQueue

public interface IQueue

A queue interface

Version:
  $Id: IQueue.java 939539 2010-04-30 01:31:33Z kkolinko $
Author:
  Rainer Jung, Peter Rossbach

Method Summary
`boolean` `add(java.lang.String key, java.lang.Object data)`
`int` `getMaxQueueLength()`
`LinkObject` `remove()`
`void` `setMaxQueueLength(int length)`
`void` `start()`
`void` `stop()`

Method Detail

### remove

    public LinkObject remove()

### add

    public boolean add(java.lang.String key,
                       java.lang.Object data)

### getMaxQueueLength

    public int getMaxQueueLength()

### setMaxQueueLength

    public void setMaxQueueLength(int length)

### start

    public void start()

### stop

    public void stop()

Copyright © 2000-2012 Apache Software Foundation. All Rights Reserved.